commit 061d18d7bd4862ff3110d497d42655efbc62ca95
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Mon Nov 11 11:23:08 2024 +0000

    libstdc++: Add parentheses around operand of |
    
    libstdc++-v3/ChangeLog:
    
            * include/bits/unicode.h (_Utf_iterator::_M_read_utf16): Add
            parentheses.

diff --git a/libstdc++-v3/include/bits/unicode.h b/libstdc++-v3/include/bits/unicode.h
index a14a17c5dfc..4b408948d72 100644
--- a/libstdc++-v3/include/bits/unicode.h
+++ b/libstdc++-v3/include/bits/unicode.h
@@ -377,7 +377,7 @@ namespace __unicode
 	      {
 		++_M_curr();
 		__to_incr = 2;
-		uint32_t __x = (__u & 0x3F) << 10 | __u2 & 0x3FF;
+		uint32_t __x = (__u & 0x3F) << 10 | (__u2 & 0x3FF);
 		uint32_t __w = (__u >> 6) & 0x1F;
 		__c = (__w + 1) << 16 | __x;
 	      }

